# Class Dipole

java.lang.Object
org.jmol.shapespecial.Dipole

public class Dipole extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`Atom[]`
`atoms`
`Bond`
`bond`
`BS`
`bsMolecule`
`P3`
`center`
`short`
`colix`
`float`
`dipoleValue`
`String`
`error`
`Lst<Object>`
`lstDipoles`
`short`
`mad`
`boolean`
`noCross`
`float`
`offsetAngstroms`
`P3`
`offsetPt`
`float`
`offsetSide`
`P3`
`origin`
`V3`
`vector`
`int`
`visibilityFlags`

## Constructor Summary

Constructors
Constructor
Description
`Dipole()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getShapeState()`
`void`
`setOffsetPt(P3 pt)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### mad

public short mad

### colix

public short colix

### origin

public P3 origin

### center

public P3 center

### vector

public V3 vector

### dipoleValue

public float dipoleValue

### offsetSide

public float offsetSide

### offsetAngstroms

public float offsetAngstroms

### offsetPt

public P3 offsetPt

### visibilityFlags

public int visibilityFlags

### noCross

public boolean noCross

### atoms

public Atom[] atoms

### bond

public Bond bond

### bsMolecule

public BS bsMolecule

### lstDipoles

public Lst<Object> lstDipoles

### error

public String error

## Constructor Details

### Dipole

public Dipole()

## Method Details

### getShapeState

public String getShapeState()

### setOffsetPt

public void setOffsetPt(P3 pt)